Skip to main content
GET
List loyalty programs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

filters[id][conditions]
object

Filter by program id. Supports conditions $is, $is_not, $in, $not_in.

filters[name][conditions]
object

Filter by program name. Supports conditions $is, $is_not, $contains, $not_contain, $starts_with, $ends_with, $in, $not_in, $has_value, $is_unknown.

filters[status][conditions]
object

Filter by program status. Supports conditions $is, $is_not, $in, $not_in. Values are ACTIVE, INACTIVE, DRAFT.

filters[created_at][conditions]
object

Filter by creation date. Supports conditions $before, $after, $is, $more_than, $less_than, $has_value, $is_unknown.

filters[junction]
enum<string>

Logical junction for combining filters

Available options:
AND,
OR
limit
integer
default:10

Maximum number of results to return (1-100, default 10)

Required range: 1 <= x <= 100
order

Sort order for results

Available options:
-created_at,
created_at,
name,
-name
cursor
string

Cursor for pagination (from previous response)

Pattern: ^lcrsprg_[a-f0-9]+$

Response

Paginated list of programs

data
object[]
cursor
object | null

Cursor for fetching the next page of results.

object
string
Allowed value: "list"
Last modified on May 19, 2026